Loading...
Searching...
No Matches
CompReplaceOp< TreeT > Struct Template Reference

`#include <openvdb/tools/Composite.h>`

## Public Member Functions

| CompReplaceOp (TreeT &_aTree)
void | operator() (const typename TreeT::ValueOnCIter &iter) const
void | operator() (const typename TreeT::LeafCIter &leafIter) const

## Public Attributes

TreeT *const | aTree

## Constructor & Destructor Documentation

## CompReplaceOp()

template<typename TreeT >

CompReplaceOp | ( | TreeT & | _aTree | ) |

inline

## Member Function Documentation

## operator()() [1/2]

template<typename TreeT >

void operator() | ( | const typename TreeT::LeafCIter & | leafIter | ) | const

inline

## operator()() [2/2]

template<typename TreeT >

void operator() | ( | const typename TreeT::ValueOnCIter & | iter | ) | const

inline

Note
  fill operation is not thread safe

## Member Data Documentation

## aTree

template<typename TreeT >

TreeT* const aTree